<div class="slot-select-dropdown">
  <mat-form-field [formGroup]="brew_form_group">
    <mat-label class="label">Select a keg</mat-label>
    <mat-select formControlName="brewControl" required [(ngModel)]="selected_keg" (selectionChange)="make_selection($event)">
      <mat-option *ngFor="let slot of kegs_list" [value]="slot" class="option">
        <option *ngIf="slot.active == 1; else empty">Slot {{slot.slot_id}}: {{slot.brew_name}}</option>
        <ng-template #empty>
          Slot {{slot.slot_id}}: -------------------------
        </ng-template>
      </mat-option>
    </mat-select>
    <mat-error *ngIf="brewControl.hasError('required')">Please choose a keg</mat-error>
    <mat-hint>{{brewControl.value?.sound}}</mat-hint>
  </mat-form-field>
  </div>
  